<section id="traveller">
    <div class="container-fluid bgclr">
        <ul class="breadcrumb reset">
            <li>
                <a [routerLink]="['/side-menu',{outlets:{sidebar:'co2'}}]">Co2 ></a>
            </li>
            <li class="">
                Add Car Norms
            </li>
        </ul>
        <div class="card">
            <div class="card-body">

                <div class="card">
                    <div class="card-header">
                        Add Car Norms
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <form action="" [formGroup]="carNormForm" (ngSubmit)="onSubmit()">
                                    <div class="form-group">
                                        <label for="nbike"> Petrol Norms</label>
                                        <input type="text" placeholder="Petrol Value" class="form-control" formControlName="petrol_norms" [ngClass]="{ 'is-invalid': submitted && f.petrol_norms.errors }">
                                        <div *ngIf="submitted && f.petrol_norms.errors" class="invalid-feedback">
                                            <div *ngIf="f.petrol_norms.errors.required">Petrol Norms is required</div>
                                            <!-- <div *ngIf="f.petrol_norms.errors.pattern"> Only numbers should enter  </div>  -->
                                          
                                               
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="nbike"> Diesel Norms</label>
                                        <input type="text" placeholder="Diesel Value" class="form-control" formControlName="diesel_norms" [ngClass]="{ 'is-invalid': submitted && f.diesel_norms.errors }">
                                        <div *ngIf="submitted && f.diesel_norms.errors" class="invalid-feedback">
                                            <div *ngIf="f.diesel_norms.errors.required">Diesel Norms is required</div>
                                            <!-- <div *ngIf="f.diesel_norms.errors.pattern"> Only numbers should enter  </div> -->
                                        </div>
                                    </div>
                                    <!-- <div class="form-group">
                                        <label for="nbike"> Co2 in grams</label>
                                        <input type="text" placeholder="Co2 in grams" class="form-control" formControlName="co2grams" [ngClass]="{ 'is-invalid': submitted && f.co2grams.errors }">
                                        <div *ngIf="submitted && f.co2grams.errors" class="invalid-feedback">
                                            <div *ngIf="f.co2grams.errors.required">Co2 is required</div>
                                            <div *ngIf="f.co2grams.errors.pattern"> Only numbers should enter  </div>
                                        </div>
                                    </div> -->
                                    <div class="form-group">
                                        <label for="">Date</label>
                                        <input type="date" placeholder="Date" class="form-control" [min]="todayDate" formControlName="date" [ngClass]="{ 'is-invalid': submitted && f.date.errors }">
                                        <div *ngIf="submitted && f.date.errors" class="invalid-feedback">
                                            <div *ngIf="f.date.errors.required">Date is required</div>
                                        </div>
                                    </div>
                                    <button type="submit" class="btn btn-success" [disabled]="carNormForm.invalid">Submit</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>

            </div>

        </div>
    </div>
</section>